

*------------------------------------------------------------------------------*
//          限选条款设置中的股东角色与条款治理效果研究                        //
*-------------------------------------------------------------------------------*


/*注：该文包括公司-年度层面的分析和公司-年度-董事层面的分析
      此程序2为公司-年度-董事层面分析的do-file
*/


use 数据2.dta,clear



***限选条款会加剧股东权利分配不公吗？

**表4 限选条款与董事离职概率——均值差异检验
ttable3 dim,by(limit) format(%8.4f)
preserve
keep if appointed_first==1
ttable3 dim,by(limit) format(%8.4f)
restore
preserve
keep if appointed_notfirst==1
ttable3 dim,by(limit) format(%8.4f)
restore

**表5 公司治理效果评价：限选条款会加剧股东权利分配不公吗？
global xlist size state leverage company_age top1 exist_5 duality boardsize  ///
turnover growth independence is_chairman man person_age payed i.year i.industry_id 
logit dim limit $xlist , vce(cluster stkcd_id)
est store m1
logit dim limit $xlist if appointed_first==1, vce(cluster stkcd_id)
est store m2
logit dim limit $xlist if appointed_notfirst==1, vce(cluster stkcd_id)
est store m3
keep if appointed_first==1|appointed_notfirst==1
logit dim appointed_notfirst $xlist if limit==1 , vce(cluster stkcd_id)
est store m4
logit appointed_notfirst limit $xlist if new==1, vce(cluster stkcd_id)
est store m5
outreg2 [m1 m2 m3 m4 m5] using sheet5, excel replace  ///
dec(4) keep(limit appointed_notfirst) addtext(Year FE, Yes, Industry FE, Yes, Controls, Yes) addstat(Pseudo R-squared, `e(r2_p)')
est clear





***限制改选时间不同的限选条款的“偏袒保护”差异

use 数据2.dta,clear

**表8 不同类型的限选条款对第一大股东及其关联股东委派董事的“偏袒”保护

global xlist size state leverage company_age top1 exist_5 duality boardsize  ///
turnover growth independence is_chairman man person_age payed i.year i.industry_id 

keep if appointed_first==1|appointed_notfirst==1
logit dim appointed_notfirst $xlist if limit_hj==1,  vce(cluster stkcd_id)
est store m1
logit dim appointed_notfirst $xlist if limit_nothj==1,  vce(cluster stkcd_id)
est store m2
logit dim appointed_notfirst $xlist if limit_eachyear==1,  vce(cluster stkcd_id)
est store m3
outreg2 [m1 m2 m3] using sheet8, excel replace  ///
dec(4) keep(appointed_notfirst) ///
addtext(Year FE, Yes, Industry FE, Yes, Controls, Yes) addstat(Pseudo R-squared, `e(r2_p)')
est clear













